[util-linux] lscpu: Fix model and model name on Power Systems

Bug #1563514 reported by bugproxy on 2016-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
util-linux (Ubuntu)
Undecided
Martin Pitt

Bug Description

== Comment: #5 - VASANT HEGDE <email address hidden> - 2016-03-29 01:17:15 ==
Updated description : Please mirror this description and comment 1 (ignore original description).
------------------------------------------------------------------------------------------------------------------------

-Problem Description---
lscpu: Fix model and model name on Power Systems

Contact Information = <email address hidden>

---uname output---
Linux lep8d 4.4.0-15-generic #31-Ubuntu SMP Fri Mar 18 19:06:23 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = All Power System

---Steps to Reproduce---
- run lscpu on Ubuntu system and check for Model name and Model information.
  it displays system model instead of processor model.

Userspace tool common name: util-linux

Userspace rpm: util-linux

------------------------------------------------------------------------------------------------------------------------
-Vasant

== Comment: #1 - VASANT HEGDE <email address hidden> - 2016-03-28 11:38:39 ==
Please pull below patches from upstream:

commit 3ac03fe4d20558b55635a048d7f2fb0f5e85ee2a
Author: Vasant Hegde <email address hidden>
Date: Mon Mar 14 20:18:07 2016 +0530

    lscpu: Fix model and model name on Power Systems

    On Power System, lspcu presently displays system model number instead of
    processor model name. 'model' tag in cpuinfo contains system model name,
    not processor model. Instead it uses 'cpu' tag for processor model name.
    Also it uses 'revision' tag for processor model.

    Fix lspcu so that it displays processor model number. Also display processor
    model name.

commit 641350fe822e7f1ac10873dad9a364bdeaba8083
Author: Karel Zak <email address hidden>
Date: Tue Mar 15 14:23:59 2016 +0100

    lscpu: keep lscpu usable on snapshots

    This patch reverts 3ac03fe4d20558b55635a048d7f2fb0f5e85ee2a for
    snapshots (--sysroot).

commit 86c4817e0ea02656ddb62fe27757a9fd4f13b2d3
Author: Ruediger Meier <email address hidden>
Date: Wed Mar 16 13:18:17 2016 +0100

    Revert "lscpu: keep lscpu usable on snapshots"

commit c95e3889725389e9d7e24d29c2a71b015959575f
Author: Ruediger Meier <email address hidden>
Date: Wed Mar 16 13:18:18 2016 +0100

    lscpu: use cpu and revision tag if available

    Avoid ifdef which does not work with --sysroot. Our existing test
    dumps produce even better output now for ppc and sparc.

    The logic moved to the printing section.

-Vasant

bugproxy (bugproxy) on 2016-03-29
tags: added: architecture-ppc64le bugnameltc-139768 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
Gary Gaydos (gmgaydos) on 2016-03-29
affects: ubuntu → util-linux (Ubuntu)
Martin Pitt (pitti) on 2016-03-30
Changed in util-linux (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti) on 2016-03-30
Changed in util-linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package util-linux - 2.27.1-6ubuntu2

---------------
util-linux (2.27.1-6ubuntu2) xenial; urgency=medium

  * Add upstream-lscpu-powerpc.patch: lscpu: Fix model and model name on Power
    Systems. (Backported from upstream trunk). (LP: #1563514)

 -- Martin Pitt <email address hidden> Wed, 30 Mar 2016 23:10:32 +0200

Changed in util-linux (Ubuntu):
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2016-03-31
tags: added: targetmilestone-inin1604
removed: targetmilestone-inin---
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers